std::mergeable(3cxx)

NAME
std::mergeable - [alg.req.mergeable], concept mergeable

SYNOPSIS

#include <iterator>

Concept definition

template<typename _I1, typename _I2, typename _Out, typename _Rel ranges::less, typename _P1 identity, typename _P2 identity>
concept std::mergeable =  input_iterator<_I1> && input_iterator<_I2>
      && weakly_incrementable<_Out> && indirectly_copyable<_I1, _Out>
      && indirectly_copyable<_I2, _Out>
      && indirect_strict_weak_order<_Rel, projected<_I1, _P1>,
                                    projected<_I2, _P2>>

Detailed Description

[alg.req.mergeable], concept mergeable

Author

Generated automatically by Doxygen for libstdc++ from the source code.